> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/dq-product/dq-job-api.md).

# DQ Job API

The DQ Job API allows you to manage and monitor DQ Jobs.

## Run a DQ Job

> Runs a DQ Job using pre-configured dataset definitions for a given dataset.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobDTO":{"type":"object","properties":{"jobId":{"type":"integer","format":"int64"},"jobUuid":{"type":"string","format":"uuid"},"agentId":{"type":"integer","format":"int32"},"agentUuid":{"type":"string","format":"uuid"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"status":{"type":"string"},"activity":{"type":"string"},"activityStatus":{"type":"string"},"cmdLine":{"type":"string"},"description":{"type":"string"},"jobException":{"type":"string"},"username":{"type":"string"},"updtTs":{"type":"string","format":"date-time"},"pid":{"type":"string"},"remoteJobId":{"type":"string"},"notified":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"agentJobId":{"type":"integer","format":"int64"},"agentJobUuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/run":{"post":{"tags":["DQ Job API"],"summary":"Run a DQ Job","description":"Runs a DQ Job using pre-configured dataset definitions for a given dataset.","operationId":"run_1","parameters":[{"name":"dataset","in":"query","description":"Value for <i>dataset</i> is Case Sensitive","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"query","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"runDateEnd","in":"query","description":"Run id end","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"agentName","in":"query","description":"Agent name. If not provided, system expects <i>NO_AGENT<i/> be configured","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the identifier of the executed job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"400":{"description":"Error occurred when executing new job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"404":{"description":"No agent found by the given name","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}}}}}}}
```

## Run a DQ Job from the command line

> Runs a DQ Job from the command line using pre-configured dataset definitions for a given dataset

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CmdLineDTO":{"required":["cmdLine"],"type":"object","properties":{"cmdLine":{"type":"string"}}},"JobDTO":{"type":"object","properties":{"jobId":{"type":"integer","format":"int64"},"jobUuid":{"type":"string","format":"uuid"},"agentId":{"type":"integer","format":"int32"},"agentUuid":{"type":"string","format":"uuid"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"status":{"type":"string"},"activity":{"type":"string"},"activityStatus":{"type":"string"},"cmdLine":{"type":"string"},"description":{"type":"string"},"jobException":{"type":"string"},"username":{"type":"string"},"updtTs":{"type":"string","format":"date-time"},"pid":{"type":"string"},"remoteJobId":{"type":"string"},"notified":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"agentJobId":{"type":"integer","format":"int64"},"agentJobUuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/runCmdLine":{"post":{"tags":["DQ Job API"],"summary":"Run a DQ Job from the command line","description":"Runs a DQ Job from the command line using pre-configured dataset definitions for a given dataset","operationId":"run_2","parameters":[{"name":"agentName","in":"query","description":"Agent name","required":false,"schema":{"type":"string"}}],"requestBody":{"description":"Command line to run the job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CmdLineDTO"}}},"required":true},"responses":{"200":{"description":"Returns the identifier of the executed job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"400":{"description":"Error occurred when executing new job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"404":{"description":"No agent found by the given name","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}}}}}}}
```

## Return a list of DQ Jobs

> Returns a list of DQ Jobs.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobDTO":{"type":"object","properties":{"jobId":{"type":"integer","format":"int64"},"jobUuid":{"type":"string","format":"uuid"},"agentId":{"type":"integer","format":"int32"},"agentUuid":{"type":"string","format":"uuid"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"status":{"type":"string"},"activity":{"type":"string"},"activityStatus":{"type":"string"},"cmdLine":{"type":"string"},"description":{"type":"string"},"jobException":{"type":"string"},"username":{"type":"string"},"updtTs":{"type":"string","format":"date-time"},"pid":{"type":"string"},"remoteJobId":{"type":"string"},"notified":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"agentJobId":{"type":"integer","format":"int64"},"agentJobUuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs":{"get":{"tags":["DQ Job API"],"summary":"Return a list of DQ Jobs","description":"Returns a list of DQ Jobs.","operationId":"getJobs","parameters":[{"name":"limit","in":"query","description":"The maximum number of jobs to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"startTimeBeginning","in":"query","description":"Lower bound of the start time of the job (inclusive)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"startTimeEnd","in":"query","description":"Upper bound of the start time of the job (inclusive)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"updateTimeBeginning","in":"query","description":"Lower bound of the update time of the job (inclusive)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"updateTimeEnd","in":"query","description":"Upper bound of the update time of the job (inclusive)","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Returns a list of jobs","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobDTO"}}}}},"400":{"description":"Error occurred when fetching jobs","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobDTO"}}}}}}}}}}
```

## Retrieve a DQ Job by its Job ID

> Retrieves a DQ Job by its Job ID

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobDTO":{"type":"object","properties":{"jobId":{"type":"integer","format":"int64"},"jobUuid":{"type":"string","format":"uuid"},"agentId":{"type":"integer","format":"int32"},"agentUuid":{"type":"string","format":"uuid"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"status":{"type":"string"},"activity":{"type":"string"},"activityStatus":{"type":"string"},"cmdLine":{"type":"string"},"description":{"type":"string"},"jobException":{"type":"string"},"username":{"type":"string"},"updtTs":{"type":"string","format":"date-time"},"pid":{"type":"string"},"remoteJobId":{"type":"string"},"notified":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"agentJobId":{"type":"integer","format":"int64"},"agentJobUuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/{jobId}":{"get":{"tags":["DQ Job API"],"summary":"Retrieve a DQ Job by its Job ID","description":"Retrieves a DQ Job by its Job ID","operationId":"getJob","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Returns the job identified by jobId","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"404":{"description":"No job found by the input jobId parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}}}}}}}
```

## Wait for a DQ Job to complete

> Wait for a DQ Job with a given Job ID to complete.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobDTO":{"type":"object","properties":{"jobId":{"type":"integer","format":"int64"},"jobUuid":{"type":"string","format":"uuid"},"agentId":{"type":"integer","format":"int32"},"agentUuid":{"type":"string","format":"uuid"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"status":{"type":"string"},"activity":{"type":"string"},"activityStatus":{"type":"string"},"cmdLine":{"type":"string"},"description":{"type":"string"},"jobException":{"type":"string"},"username":{"type":"string"},"updtTs":{"type":"string","format":"date-time"},"pid":{"type":"string"},"remoteJobId":{"type":"string"},"notified":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"agentJobId":{"type":"integer","format":"int64"},"agentJobUuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/{jobId}/waitForCompletion":{"get":{"tags":["DQ Job API"],"summary":"Wait for a DQ Job to complete","description":"Wait for a DQ Job with a given Job ID to complete.","operationId":"waitForJobCompletion","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to wait for completion","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Returns the job identified by jobId","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"400":{"description":"Error occurred when waiting for job completion","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}},"404":{"description":"No job found by the input jobId parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobDTO"}}}}}}}}}
```

## Return DQ Job logs for a given dataset

> Returns all DQ Job logs for a given dataset and run date.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobLogDTO":{"type":"object","properties":{"logId":{"type":"integer","format":"int64"},"jobId":{"$ref":"#/components/schemas/IdentifierDTO"},"activity":{"type":"string"},"stage":{"type":"string"},"logDesc":{"type":"string"},"logHint":{"type":"string"},"stagePerfTier":{"type":"string"},"stagePerfDesc":{"type":"string"},"stageTime":{"type":"integer","format":"int64"},"prettyStageTime":{"type":"string"}}},"IdentifierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/{jobId}/logs":{"get":{"tags":["DQ Job API"],"summary":"Return DQ Job logs for a given dataset","description":"Returns all DQ Job logs for a given dataset and run date.","operationId":"getJobLog","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the log","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Returns all the logs of the job identified by jobId","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}},"404":{"description":"No job found by the input jobId parameter","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}}}}}}}
```

## Return the findings of a DQ Job

> Return the findings of a job with a given job ID, including outliers, rule breaks, and dupes.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobFindingsDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string"},"runDate":{"type":"string","format":"date-time"},"rows":{"type":"integer","format":"int64"},"passFail":{"type":"integer","format":"int32"},"passFailLimit":{"type":"integer","format":"int32"},"peak":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string"},"timeZone":{"type":"string"},"avgRows":{"type":"integer","format":"int32"},"cols":{"type":"integer","format":"int32"},"activeRules":{"type":"integer","format":"int32"},"activeAlerts":{"type":"integer","format":"int32"},"runTime":{"type":"string"},"dqItems":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/MetricDTO"}},"datashapes":{"type":"array","items":{"$ref":"#/components/schemas/DatashapeDTO"}},"observations":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"outliers":{"type":"array","items":{"$ref":"#/components/schemas/OutlierDTO"}},"sources":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceDTO"}},"patterns":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"rules":{"type":"array","items":{"$ref":"#/components/schemas/RuleOutputDTO"}},"alerts":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}},"dupes":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"shapeScore":{"type":"integer","format":"int32"},"dupeScore":{"type":"integer","format":"int32"},"patternScore":{"type":"integer","format":"int32"},"outlierScore":{"type":"integer","format":"int32"},"schemaScore":{"type":"integer","format":"int32"},"recordScore":{"type":"integer","format":"int32"},"ruleScore":{"type":"integer","format":"int32"},"sourceScore":{"type":"integer","format":"int32"},"behaviorScore":{"type":"integer","format":"int32"}}},"MetricDTO":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string"},"stndDev":{"type":"number","format":"double"},"zscore":{"type":"number","format":"double"},"mean":{"type":"number","format":"double"},"value":{"type":"number","format":"double"},"score":{"type":"integer","format":"int32"},"perChange":{"type":"number","format":"double"},"verbose":{"type":"string"},"type":{"type":"string"},"linkId":{"type":"string"},"dqType":{"type":"string"},"lbAbs":{"type":"number","format":"double"},"ubAbs":{"type":"number","format":"double"},"lbZscore":{"type":"number","format":"double"},"ubZscore":{"type":"number","format":"double"},"chartType":{"type":"string"},"chartHistory":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryRange":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryPassFail":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryPassFailString":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryMean":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"passFail":{"type":"integer","format":"int32"},"isManual":{"type":"boolean"},"isRootCause":{"type":"boolean"},"status":{"type":"string"},"adaptiveTier":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"neverNegative":{"type":"boolean"},"manual":{"type":"boolean"},"rootCause":{"type":"boolean"}}},"Identifier":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}},"DatashapeDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"colName":{"type":"string"},"colFormat":{"type":"string"},"colFormatCnt":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"percent":{"type":"number","format":"double"},"rowCountTotal":{"type":"integer","format":"int64"},"definedSchema":{"type":"string"},"shapePerColumn":{"type":"number","format":"double"}}},"IdentifierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}},"ObservationDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"obsType":{"type":"string"},"obs":{"type":"string"},"obsKey":{"type":"string"},"obsScore":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"obsId":{"type":"integer","format":"int64"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"obsSubType":{"type":"string"}}},"OutlierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"outKeyColumn":{"type":"string"},"outKey":{"type":"string"},"outColumn":{"type":"string"},"outValue":{"type":"string"},"obsSubType":{"type":"string"},"outMedian":{"type":"string"},"outCount":{"type":"integer","format":"int32"},"keyArr":{"type":"array","items":{"type":"string"}},"lb":{"type":"number","format":"double"},"ub":{"type":"number","format":"double"},"confidence":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"linkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"}}},"ValidateSourceDTO":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/IdentifierDTO"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"obsSubType":{"type":"string"},"obsCount":{"type":"integer","format":"int32"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceCount"}},"schemas":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceSchema"}},"values":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceValue"}}}},"ValidateSourceCount":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"targetCount":{"type":"integer","format":"int64"},"sourceCount":{"type":"integer","format":"int64"},"confidence":{"type":"integer","format":"int32"}}},"ValidateSourceSchema":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"targetColNm":{"type":"string"},"targetColType":{"type":"string"},"sourceColNm":{"type":"string"},"sourceColType":{"type":"string"},"confidence":{"type":"integer","format":"int32"}}},"ValidateSourceValue":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"keyColNm":{"type":"string"},"keyColArr":{"type":"array","items":{"type":"string"}},"keyColValue":{"type":"string"},"keyColValueArr":{"type":"array","items":{"type":"string"}},"targetColNm":{"type":"string"},"sourceColNm":{"type":"string"},"targetColValue":{"type":"string"},"sourceColValue":{"type":"string"},"targetSourceValue":{"type":"string"},"targetLinkId":{"type":"string"},"sourceLinkId":{"type":"string"},"confidence":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"targetLinkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sourceLinkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"RuleOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"ruleNm":{"type":"string"},"ruleType":{"type":"string"},"ruleValue":{"type":"string"},"score":{"type":"integer","format":"int32"},"perc":{"type":"number","format":"double"},"exception":{"type":"string"},"owlId":{"type":"string"},"breakMsg":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"dimId":{"type":"integer","format":"int32"},"dimName":{"type":"string"}}},"AlertOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"alertOutputId":{"type":"integer","format":"int32"},"updtTs":{"type":"string","format":"date-time"},"alertTypes":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}},"paths":{"/v3/jobs/{jobId}/findings":{"get":{"tags":["DQ Job API"],"summary":"Return the findings of a DQ Job","description":"Return the findings of a job with a given job ID, including outliers, rule breaks, and dupes.","operationId":"getJobFindings","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the findings","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Returns job findings (outliers, rule breaks, dupes) by jobId","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}}}},"404":{"description":"No job found by the input jobId parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}}}}}}}}}
```

## Return a file of the shapes break records of a Pushdown DQ Job

> Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given Job ID.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{jobId}/breaks/shapes":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the shapes break records of a Pushdown DQ Job","description":"Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given Job ID.","operationId":"getShapesSourceBreakFileById","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the findings","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all shape break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the shape break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the rule break records of a Pushdown DQ Job

> Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given Job ID.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{jobId}/breaks/rules":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the rule break records of a Pushdown DQ Job","description":"Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given Job ID.","operationId":"getRulesSourceBreakFileById","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the findings","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all rule break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the rule break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the outlier break records of a Pushdown DQ Job

> Returns a JSON, CSV, or SQL file containing the outlier break records of a Pushdown DQ Job with a given Job ID.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{jobId}/breaks/outliers":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the outlier break records of a Pushdown DQ Job","description":"Returns a JSON, CSV, or SQL file containing the outlier break records of a Pushdown DQ Job with a given Job ID.","operationId":"getOutliersSourceBreakFileById","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the findings","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all outlier break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the outlier break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the dupes break records of a Pushdown DQ Job

> Return a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given Job ID.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{jobId}/breaks/dupes":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the dupes break records of a Pushdown DQ Job","description":"Return a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given Job ID.","operationId":"getDupesSourceBreakFileById","parameters":[{"name":"jobId","in":"path","description":"The identifier of the job to retrieve the findings","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all dupe break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the dupe break records for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found for the jobId","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return all DQ Job logs for a given dataset and run date

> Returns all DQ Job logs for a given dataset and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobLogDTO":{"type":"object","properties":{"logId":{"type":"integer","format":"int64"},"jobId":{"$ref":"#/components/schemas/IdentifierDTO"},"activity":{"type":"string"},"stage":{"type":"string"},"logDesc":{"type":"string"},"logHint":{"type":"string"},"stagePerfTier":{"type":"string"},"stagePerfDesc":{"type":"string"},"stageTime":{"type":"integer","format":"int64"},"prettyStageTime":{"type":"string"}}},"IdentifierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}}}},"paths":{"/v3/jobs/{dataset}/{runDate}/logs":{"get":{"tags":["DQ Job API"],"summary":"Return all DQ Job logs for a given dataset and run date","description":"Returns all DQ Job logs for a given dataset and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getJobLogByDatasetRunDate","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Returns all the logs of the job identified by dataset and runDate pair","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}},"400":{"description":"Error occurred when fetching logs for a given job","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}},"404":{"description":"No job found by the input dataset and runDate pair","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLogDTO"}}}}}}}}}}
```

## Return the findings for a given dataset and run date

> Returns the findings, including outliers, rule breaks, and dupes, for a given dataset and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"JobFindingsDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string"},"runDate":{"type":"string","format":"date-time"},"rows":{"type":"integer","format":"int64"},"passFail":{"type":"integer","format":"int32"},"passFailLimit":{"type":"integer","format":"int32"},"peak":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string"},"timeZone":{"type":"string"},"avgRows":{"type":"integer","format":"int32"},"cols":{"type":"integer","format":"int32"},"activeRules":{"type":"integer","format":"int32"},"activeAlerts":{"type":"integer","format":"int32"},"runTime":{"type":"string"},"dqItems":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/MetricDTO"}},"datashapes":{"type":"array","items":{"$ref":"#/components/schemas/DatashapeDTO"}},"observations":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"outliers":{"type":"array","items":{"$ref":"#/components/schemas/OutlierDTO"}},"sources":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceDTO"}},"patterns":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"rules":{"type":"array","items":{"$ref":"#/components/schemas/RuleOutputDTO"}},"alerts":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}},"dupes":{"type":"array","items":{"$ref":"#/components/schemas/ObservationDTO"}},"shapeScore":{"type":"integer","format":"int32"},"dupeScore":{"type":"integer","format":"int32"},"patternScore":{"type":"integer","format":"int32"},"outlierScore":{"type":"integer","format":"int32"},"schemaScore":{"type":"integer","format":"int32"},"recordScore":{"type":"integer","format":"int32"},"ruleScore":{"type":"integer","format":"int32"},"sourceScore":{"type":"integer","format":"int32"},"behaviorScore":{"type":"integer","format":"int32"}}},"MetricDTO":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string"},"stndDev":{"type":"number","format":"double"},"zscore":{"type":"number","format":"double"},"mean":{"type":"number","format":"double"},"value":{"type":"number","format":"double"},"score":{"type":"integer","format":"int32"},"perChange":{"type":"number","format":"double"},"verbose":{"type":"string"},"type":{"type":"string"},"linkId":{"type":"string"},"dqType":{"type":"string"},"lbAbs":{"type":"number","format":"double"},"ubAbs":{"type":"number","format":"double"},"lbZscore":{"type":"number","format":"double"},"ubZscore":{"type":"number","format":"double"},"chartType":{"type":"string"},"chartHistory":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryRange":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryPassFail":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryPassFailString":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"chartHistoryMean":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"passFail":{"type":"integer","format":"int32"},"isManual":{"type":"boolean"},"isRootCause":{"type":"boolean"},"status":{"type":"string"},"adaptiveTier":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"neverNegative":{"type":"boolean"},"manual":{"type":"boolean"},"rootCause":{"type":"boolean"}}},"Identifier":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}},"DatashapeDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"colName":{"type":"string"},"colFormat":{"type":"string"},"colFormatCnt":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"percent":{"type":"number","format":"double"},"rowCountTotal":{"type":"integer","format":"int64"},"definedSchema":{"type":"string"},"shapePerColumn":{"type":"number","format":"double"}}},"IdentifierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uuid":{"type":"string","format":"uuid"}}},"ObservationDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"obsType":{"type":"string"},"obs":{"type":"string"},"obsKey":{"type":"string"},"obsScore":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"obsId":{"type":"integer","format":"int64"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"obsSubType":{"type":"string"}}},"OutlierDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"outKeyColumn":{"type":"string"},"outKey":{"type":"string"},"outColumn":{"type":"string"},"outValue":{"type":"string"},"obsSubType":{"type":"string"},"outMedian":{"type":"string"},"outCount":{"type":"integer","format":"int32"},"keyArr":{"type":"array","items":{"type":"string"}},"lb":{"type":"number","format":"double"},"ub":{"type":"number","format":"double"},"confidence":{"type":"integer","format":"int32"},"owlRank":{"type":"integer","format":"int32"},"linkId":{"type":"string"},"linkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"}}},"ValidateSourceDTO":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/IdentifierDTO"},"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"obsSubType":{"type":"string"},"obsCount":{"type":"integer","format":"int32"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceCount"}},"schemas":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceSchema"}},"values":{"type":"array","items":{"$ref":"#/components/schemas/ValidateSourceValue"}}}},"ValidateSourceCount":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"targetCount":{"type":"integer","format":"int64"},"sourceCount":{"type":"integer","format":"int64"},"confidence":{"type":"integer","format":"int32"}}},"ValidateSourceSchema":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"targetColNm":{"type":"string"},"targetColType":{"type":"string"},"sourceColNm":{"type":"string"},"sourceColType":{"type":"string"},"confidence":{"type":"integer","format":"int32"}}},"ValidateSourceValue":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Identifier"},"validateSourceId":{"$ref":"#/components/schemas/Identifier"},"assignmentId":{"$ref":"#/components/schemas/Identifier"},"obsSubType":{"type":"string"},"keyColNm":{"type":"string"},"keyColArr":{"type":"array","items":{"type":"string"}},"keyColValue":{"type":"string"},"keyColValueArr":{"type":"array","items":{"type":"string"}},"targetColNm":{"type":"string"},"sourceColNm":{"type":"string"},"targetColValue":{"type":"string"},"sourceColValue":{"type":"string"},"targetSourceValue":{"type":"string"},"targetLinkId":{"type":"string"},"sourceLinkId":{"type":"string"},"confidence":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"targetLinkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sourceLinkIdArr":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"RuleOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"ruleNm":{"type":"string"},"ruleType":{"type":"string"},"ruleValue":{"type":"string"},"score":{"type":"integer","format":"int32"},"perc":{"type":"number","format":"double"},"exception":{"type":"string"},"owlId":{"type":"string"},"breakMsg":{"type":"string"},"assignmentId":{"$ref":"#/components/schemas/IdentifierDTO"},"dimId":{"type":"integer","format":"int32"},"dimName":{"type":"string"}}},"AlertOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"alertOutputId":{"type":"integer","format":"int32"},"updtTs":{"type":"string","format":"date-time"},"alertTypes":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}},"paths":{"/v3/jobs/{dataset}/{runDate}/findings":{"get":{"tags":["DQ Job API"],"summary":"Return the findings for a given dataset and run date","description":"Returns the findings, including outliers, rule breaks, and dupes, for a given dataset and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getJobFindings_1","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Returns job findings (outliers, rule breaks, dupes) by dataset and runDate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}}}},"404":{"description":"No job found by the input dataset and runDate parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/JobFindingsDTO"}}}}}}}}}
```

## Return a file of the shapes break records of a Pushdown job with a given dataset name and run date

> Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given dataset name and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{dataset}/{runDate}/breaks/shapes":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the shapes break records of a Pushdown job with a given dataset name and run date","description":"Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given dataset name and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getShapesSourceBreakFileByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all shape break records for the job corresponding to the dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the shape break records for given dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found by the input dataset and runDate pair","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the rule break records of a Pushdown DQ Job with a given dataset name and run date

> Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given dataset name and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{dataset}/{runDate}/breaks/rules":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the rule break records of a Pushdown DQ Job with a given dataset name and run date","description":"Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given dataset name and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getRulesSourceBreakFileByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all rule break records for the job corresponding to the dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the rule break records for given dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"User does not have access to the dataset of the job","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found by the input dataset and runDate pair","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the outliers break records of a Pushdown DQ Job with a given dataset name and run date

> Returns a JSON, CSV, or SQL file containing the outliers break records of a Pushdown DQ Job with a given dataset name and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{dataset}/{runDate}/breaks/outliers":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the outliers break records of a Pushdown DQ Job with a given dataset name and run date","description":"Returns a JSON, CSV, or SQL file containing the outliers break records of a Pushdown DQ Job with a given dataset name and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getOutliersSourceBreakFileByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all outlier break records for the job corresponding to the dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the outlier break records for given dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found by the input dataset and runDate pair","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Return a file of the dupes break records of a Pushdown DQ Job with a given dataset name and run date

> Returns a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given dataset name and run date. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Job API","description":"The DQ Job API allows you to manage and monitor DQ Jobs."}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"security":[{"bearer-jwt":[]}],"components":{"securitySchemes":{"bearer-jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v3/jobs/{dataset}/{runDate}/breaks/dupes":{"get":{"tags":["DQ Job API"],"summary":"Return a file of the dupes break records of a Pushdown DQ Job with a given dataset name and run date","description":"Returns a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given dataset name and run date. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"getDupesSourceBreakFileByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"path","description":"Run id","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","description":"The maximum number of records to return","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the file to return. Default is CSV","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all dupe break records for the job corresponding to the dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Error occurred when fetching the dupe break records for given dataset and runDate","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"No job found by the input dataset and runDate pair","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/dq-product/dq-job-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
